.info-details-box .info-details-heading div > * + *:not(:last-child) {
    font-size: 16px;
    font-weight: var(--font-weight-medium);
    margin: 4px 0 0;
    color: var(--color-text-primary);
    line-height: 24px;
    font-family: var(--font-primary);
}

.info-details-box .info-details-heading div > :first-child {
    color: var(--color-text-primary);
    font-size: 26px;
    font-weight: var(--font-weight-semibold);
    line-height: 1.4;
    margin: 0;
    font-family: var(--font-primary);
    text-align: left;
}

.info-details-box .info-details-heading div > :last-child {
    font-size: 20px;
    color: var(--color-text-primary);
    font-weight: var(--font-weight-semibold);
    margin: 32px 0 0;
    display: block;
}

.info-details-items {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 4px;
}

.info-details-box-container .demat-form-title p {
    font-size: 14px;
    font-weight: var(--font-weight-semibold);
    color: var(--color-white);
    margin: 0;
    display: none;
}

.info-details-box ul {
    list-style-type: none;
    padding: 0;
    margin: 24px 0 0;
    display: flex;
    flex-wrap: wrap;
    /* stylelint-disable-next-line declaration-block-no-redundant-longhand-properties */
    flex-direction: column;
    gap: 20px;
}

.info-details-box ul .info-details-label p {
    font-size: 14px;
    color: var(--color-text-secondary);
    margin: 0;
    line-height: 16px;
}

.info-details-box ul .info-details-value p {
    color: var(--color-text-primary);
    font-size: 16px;
    font-weight: var(--font-weight-semibold);
    margin: 0;
    line-height: 20px;
}

@media (width >=1024px) {
    .info-details-box .info-details-content {
        border-radius: 8px 8px 0 0;
        border: 1px solid rgb(0 0 0 / 5%);
        padding: 15px;
        box-shadow: var(--primary-boxshadow);
        background: var(--color-white);
    }

    .info-details-box-container .demat-form-title p {
        display: block;
    }

    .info-details-box .info-details-heading div > p:last-child {
        display: none;
    }

    .info-details-box-container.demat-form-container .demat-form-wrapper {
        border-radius: 0 0 8px 8px;
        background: var(--brand-blue-dark);
        padding: 15px;
        position: relative;
    }

    .info-details-box-container.demat-form-container
        .demat-form-wrapper:has(.error-active) {
        padding-bottom: 40px;
    }

    .info-details-box-container.demat-form-container .demat-form {
        max-width: 100%;
    }

    .info-details-box-container.demat-form-container
        .demat-form
        .error-message {
        position: absolute;
        bottom: 16px;
    }

    .info-details-box-container.demat-form-container .demat-form form {
        flex-direction: column;
        background: none;
        padding: 0;
        margin-top: 10px;
        box-shadow: unset;
    }

    .info-details-box-container.demat-form-container
        .demat-form
        .field-wrapper {
        width: 100%;
    }

    .info-details-box-container.demat-form-container
        .demat-form
        .field-wrapper
        button.button {
        width: 100%;
        border-radius: 4px;
    }

    .info-details-box-container.demat-form-container
        .demat-form
        .field-wrapper
        input[type="number"] {
        border-radius: 4px;
    }

    .grid-col .info-details-heading {
        border-bottom: 1px solid var(--color-gray-15);
        padding-bottom: 24px;
    }

    .grid-col ul {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 24px 6px;
    }

    .grid-col ul .info-details-items {
        flex-direction: column;
        justify-content: flex-start;
    }

    .info-details-box .form-fields-wrapper{
        flex-direction: column;
        gap: 10px;
    }
}

@media (width <=1024px) {
    .info-details-box ul {
        padding: 15px;
        gap: 24px 6px;
        display: grid;
        grid-template-columns: 1fr 1fr;
        border-radius: 8px;
        border: 1px solid rgb(0 0 0 / 5%);       
        box-shadow: 4px 4px 12px 0 rgb(30 51 72 / 15%),
            0 16px 32px 0 rgb(112 144 176 / 15%);
        margin-top: 16px;
    }

    .info-details-box ul li.info-details-items {
        flex-direction: column;
        justify-content: flex-start;
    }

    .grid-col .info-details-heading {
        border-bottom: none;
        padding-bottom: 0;
    }

    .info-details-box .info-details-heading div > * + *:not(:last-child) {
        font-size: 10px;
        line-height: 16px;
    }

    .info-details-box .info-details-heading div > :first-child {
        line-height: normal;
        font-size: 24px;
    }

    .info-details-box ul .info-details-label p {
        line-height: 12px;
    }

    .info-details-box .demat-form-wrapper{
        display: none;
    }
}

@media (width <=768px) {
    .info-details-box ul {
        grid-template-columns:1fr;
        margin-bottom: 30px;
    }
    
    .info-details-box ul .info-details-label p {
        line-height: 22px;
    }    
}
